<div class="listModels">
    <div *ngIf="!adminMode; else menuModel" class="primary">
        Modèle utilisé : {{currentIndexingModel.label}} {{currentIndexingModel.default ? '(' + lang.default + ')': ''}}
    </div>
    <ng-template #menuModel>
        <button mat-button class="button-form-primary listModels-button" [matMenuTriggerFor]="IndexingModelsMenu">
            <mat-icon mattPrefix class="fab fa-wpforms"></mat-icon>
            <span class="menu-label" [title]="currentIndexingModel.label">
                {{currentIndexingModel.label}} {{currentIndexingModel.default ? '(' + lang.default + ')': ''}}
            </span>
            <i class="fa fa-chevron-down menu-icon"></i>
        </button>
        <mat-menu #IndexingModelsMenu="matMenu" [class]="'menuForm listModels-menu'">
            <div class="menuTitle">
                <span>
                    {{lang.indexingModel}}
                </span>
                <mat-form-field floatLabel="never" appearance="outline" class="smallInput"
                    (click)="$event.stopPropagation();" style="width: 220px !important;">
                    <input matInput id="searchTerm" placeholder="{{lang.filterBy}}" #listFilter autocomplete="off"
                        (click)="$event.stopPropagation();" (keydown)="$event.stopPropagation()">
                </mat-form-field>
            </div>
            <ng-container
                *ngFor="let indexingModel of indexingModels | filterList:listFilter.value:'label'; let i=index">
                <button mat-menu-item (click)="selectIndexingModel(indexingModel)" [title]="indexingModel.label"
                    [class.listModels-menu-selected]="indexingModel.id === currentIndexingModel.id"
                    [class.private]="indexingModel.private" style="display: flex;align-items: center;">
                    <div *ngIf="!indexingModel.private" style="flex:1;">
                        {{indexingModel.label | shorten: 45: '...'}}
                        {{indexingModel.default ? '(' + lang.default + ')': ''}}
                    </div>
                    <div *ngIf="indexingModel.private" style="flex:1;">
                        {{indexingModel.label | shorten: 45: '...'}}&nbsp;<span
                            class="listModels-menu-badge">{{lang.private}}</span>
                    </div>
                    <button mat-icon-button class="listModels-menu-delete"
                        *ngIf="indexingModel.id !== currentIndexingModel.id && indexingModel.private"
                        [title]="lang.delete"
                        (click)="$event.stopPropagation();deletePrivateIndexingModel(indexingModel.id, i)">
                        <mat-icon class="fa fa-trash" color="warn">
                        </mat-icon>
                    </button>
                </button>
            </ng-container>
        </mat-menu>
        <button mat-icon-button type="button" color="primary" (click)="savePrivateIndexingModel()"
            [title]="lang.createPrivateIndexingModel">
            <mat-icon class="far fa-copy"></mat-icon>
        </button>
    </ng-template>
</div>